Apply Cluster Enrichment
curl --request POST \
--url https://api.mixpeek.com/v1/clusters/enrich \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"clustering_ids": [
"<string>"
],
"source_collection_id": "<string>",
"target_collection_id": "<string>",
"batch_size": 1000,
"parallelism": 1
}
'import requests
url = "https://api.mixpeek.com/v1/clusters/enrich"
payload = {
"clustering_ids": ["<string>"],
"source_collection_id": "<string>",
"target_collection_id": "<string>",
"batch_size": 1000,
"parallelism": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
clustering_ids: ['<string>'],
source_collection_id: '<string>',
target_collection_id: '<string>',
batch_size: 1000,
parallelism: 1
})
};
fetch('https://api.mixpeek.com/v1/clusters/enrich', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"processed": 123,
"enriched": 123,
"failed": 123,
"batches": 123
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}Clusters
Apply Cluster Enrichment
Apply clustering enrichments to a collection via engine.
POST
/
v1
/
clusters
/
enrich
Apply Cluster Enrichment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request to apply clustering enrichment to a collection.
Supports applying multiple clustering results in one request via
clustering_ids. For backward compatibility, a single clustering_id
is also accepted and up-converted.
Clustering result IDs to apply
Collection to enrich
Target collection to write enriched docs to
Batch size for processing
Required range:
x >= 1Parallel workers
Required range:
x >= 1Was this page helpful?
⌘I

